# TdApi.DeleteAllRevokedChatInviteLinks (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: DeleteAllRevokedChatInviteLinks

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeleteAllRevokedChatInviteLinks

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.DeleteAllRevokedChatInviteLinks

Enclosing class:
  TdApi

public static final class TdApi.DeleteAllRevokedChatInviteLinks extends TdApi.Function<TdApi.Ok>
Deletes all revoked chat invite links created by a given chat administrator. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`creatorUserId`
User identifier of a chat administrator, which links will be deleted.

## Constructor Summary

Constructors
Constructor
Description
`DeleteAllRevokedChatInviteLinks()`
Deletes all revoked chat invite links created by a given chat administrator.
`DeleteAllRevokedChatInviteLinks(long chatId, long creatorUserId)`
Deletes all revoked chat invite links created by a given chat administrator.
`DeleteAllRevokedChatInviteLinks(DataInput input)`
Deletes all revoked chat invite links created by a given chat administrator.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### creatorUserId

public long creatorUserId
User identifier of a chat administrator, which links will be deleted. Must be an identifier of the current user for non-owner.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### DeleteAllRevokedChatInviteLinks

public DeleteAllRevokedChatInviteLinks()
Deletes all revoked chat invite links created by a given chat administrator. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `Ok`

### DeleteAllRevokedChatInviteLinks

public DeleteAllRevokedChatInviteLinks(long chatId, long creatorUserId)
Deletes all revoked chat invite links created by a given chat administrator. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `creatorUserId` - long User identifier of a chat administrator, which links will be deleted. Must be an identifier of the current user for non-owner.

### DeleteAllRevokedChatInviteLinks

public DeleteAllRevokedChatInviteLinks(DataInput input) throws IOException
Deletes all revoked chat invite links created by a given chat administrator. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`